%global fontname apanov-edrip
%global fontconf 61-%{fontname}.conf

%global archivename    edrip-src-%{archiveversion}
%global archiveversion r6
%global googlename     edrip

Name:    %{fontname}-fonts
Version: 20100430
Release: 16%{?dist}
Summary: A decorative contrast sans-serif font

License:   OFL
URL:       http://code.google.com/p/%{googlename}/
# Upstream has still not completed hosting switching
Source0:   ftp://ftp.dvo.ru/pub/Font/edrip/%{archivename}.tar.xz
#Source0:   http://%{googlename}.googlecode.com/files/%{archivename}.tar.xz
Source1:   %{name}-fontconfig.conf
Source2:   %{fontname}.metainfo.xml

BuildArch:     noarch
BuildRequires: fontforge, xgridfit >= 2.2-4.a.20100725cvs.fc14
BuildRequires: fontpackages-devel
Requires:      fontpackages-filesystem

%description
Edrip font is a contrast sans-serif font. It is based on the Teams font
released on 2000 by TopTeam Co. Edrip contains symbols for basic Cyrillic and
Latin alphabets.


%prep
%setup -q -c

%build
make %{?_smp_mflags}

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *\.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc *.txt README
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20100430-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20100430-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20100430-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20100430-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20100430-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20100430-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100430-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Oct 18 2014 Parag Nemade <pnemade AT redhat DOT com> - 20100430-9
- Add metainfo file to show this font in gnome-software

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100430-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100430-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100430-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100430-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100430-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100430-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 25 2010 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20100430-2
— Edrip requires cvs xgridfit to build

* Sun Jun 13 2010 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20100430-1
— Switch to new upstream hosting

* Mon Sep 25 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-10
— fix BoldItalic naming

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- 20081007-9
— Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 15 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-8
— Make sure F11 font packages have been built with F11 fontforge

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- 20081007-7
— Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-6
— fix url (thanks nirik)

* Mon Feb 16 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-5
— prepare for F11 mass rebuild, new rpm and new fontpackages

* Sun Feb  8 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-4
– test new rpm font autoprovides

* Sun Jan 25 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-3
► renamed to “apanov-edrip-fonts” to apply Packaging:FontsPolicy#Naming

* Sun Nov 23 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-2
ᛤ ‘rpm-fonts’ renamed to “fontpackages”

* Fri Nov 14 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-1
▤ Rebuild using new « rpm-fonts »

* Wed Sep 3 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080826-2
⚙ Rebuild with pre-F10-freeze fontforge

* Mon Sep 1 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080826-1
ԡ Still more extended cyrillic coverage

* Fri Jul 17 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080717-1
𐅇 More cyrillic coverage

* Fri Jul 11 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080710-1
⌖ Fedora 10 alpha general package cleanup

* Wed Jun 4 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080523-2
⌂ Fix URL
⎈ Register in new fantasy generic

* Mon May 26 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080523-1
ϡ Add bold italic typeface to the font package
Ք Use new upstream makefile magic to simplify spec

* Sun May 18 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080515-2
⦬ Add bold & italic typeface to the font package

* Fri Apr 4 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080330-1
⤊ Fast upstream changes

* Tue Mar 27 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080317-3
✓ Fix source URL
✓ Add more fontconfig magic

* Wed Mar 26 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080317-1
✓ Fedora import

* Thu Mar 13 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080310-1
✓ Initial packaging
